// -----------------------------------------------------------------------------
//
//   ABOUT: Model in ASE (ASCII Scene Exporter) format
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
// LICENSE: GPL v2
//    DATE: 05-Sep-2016, edited on 20-Nov-2016
//
// -----------------------------------------------------------------------------


// Base shader (used from other shaders) ---------------------------------------

textures/jul_light1/base1
{
    q3map_lightmapSampleSize 4
    q3map_lightmapFilterRadius 8 0
}


// Light1 ----------------------------------------------------------------------

textures/jul_light1/light1_body
{
    qer_editorImage models/jul_light1/light1_qer.jpg

    q3map_baseShader textures/jul_light1/base1

    q3map_lightRGB 1 0.870588 0.501960       // 255 222 128 RGB (50% sat.)
    q3map_lightSubdivide 64
    q3map_surfaceLight 350

    {
        map models/jul_light1/light1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/jul_light1/light1_frame
{
    qer_editorImage models/jul_light1/light1_qer.jpg

    q3map_baseShader textures/jul_light1/base1

    surfaceparm metalsteps

    {
        map models/jul_light1/light1.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/jul_light1/light1_top
{
    qer_editorImage models/jul_light1/light1_top_qer.tga

    q3map_baseShader textures/jul_light1/base1

    dpGlossIntensityMod 0.75       // the glossmap is too white

    surfaceparm metalsteps

    {
        map models/jul_light1/light1_top.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


// EOF ------------------------------- EOF --------------------------------- EOF
