// -----------------------------------------------------------------------------
//
//   ABOUT: Model in ASE (ASCII Scene Exporter) format
//  AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
// LICENSE: GPL v2
//    DATE: 13-Dec-2016
//
// -----------------------------------------------------------------------------


// Julius Light4 ---------------------------------------------------------------

textures/jul_light4/light4
{
    qer_editorImage models/jul_light4/light4_qer.jpg

    dpReflectCube env/cubemap/exomorph
    dpGlossIntensityMod 1
    dpGlossExponentMod 1

    q3map_lightRGB 0.800000 0.937254 1       // 204 239 255 RGB (20% sat.)
    q3map_lightSubdivide 64
    q3map_surfaceLight 100

    {
        map models/jul_light4/light4.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/jul_light4/light4_side
{
    qer_editorImage models/jul_light4/light4_qer.jpg

    dpReflectCube env/cubemap/exomorph
    dpGlossIntensityMod 1
    dpGlossExponentMod 1

    {
        map models/jul_light4/light4.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


// EOF ------------------------------- EOF --------------------------------- EOF
